import request from '@/utils/request'

// 查询商品评论列表
export function listMallOrderComment(query) {
  return request({
    url: '/mall/mallOrderComment/list',
    method: 'get',
    params: query
  })
}

// 查询商品评论详细
export function getMallOrderComment(id) {
  return request({
    url: '/mall/mallOrderComment/' + id,
    method: 'get'
  })
}

// 新增商品评论
export function addMallOrderComment(data) {
  return request({
    url: '/mall/mallOrderComment',
    method: 'post',
    data: data
  })
}

// 修改商品评论
export function updateMallOrderComment(data) {
  return request({
    url: '/mall/mallOrderComment',
    method: 'put',
    data: data
  })
}

// 删除商品评论
export function delMallOrderComment(id) {
  return request({
    url: '/mall/mallOrderComment/' + id,
    method: 'delete'
  })
}

// 导出商品评论
export function exportMallOrderComment(query) {
  return request({
    url: '/mall/mallOrderComment/export',
    method: 'get',
    params: query
  })
}